//
//  inputhandler.cpp
//  commandpattern
//
//  Created by Lee Falin on 1/15/18.
//  Copyright © 2018 Lee Falin. All rights reserved.
//

#include "inputhandler.h"
#include <iostream>

using std::cout;

InputHandler::InputHandler(Command* a, Command* b, Command* x, Command* y) {
    _buttonXCommand = x;
    _buttonYCommand = y;
    _buttonACommand = a;
    _buttonBCommand = b;
}

bool InputHandler::isButtonPressed(int theButtonID) {
    if(theButtonID == BUTTON_X)
        return true;
    else
        return false;
}

void InputHandler::handleInput() {
    if(isButtonPressed(BUTTON_Y)) {
        _buttonYCommand->execute();
    }
    else if(isButtonPressed(BUTTON_X)) {
        _buttonXCommand->execute();
    }
    else if(isButtonPressed(BUTTON_B)) {
        _buttonBCommand->execute();
    }
    else if(isButtonPressed(BUTTON_A)) {
        _buttonACommand->execute();
    }
}
