//
//  inputhandler.h
//  commandpattern
//
//  Created by Lee Falin on 1/15/18.
//  Copyright © 2018 Lee Falin. All rights reserved.
//

#ifndef inputhandler_h
#define inputhandler_h

#include "command.h"

const int BUTTON_Y = 0;
const int BUTTON_X = 1;
const int BUTTON_B = 2;
const int BUTTON_A = 3;

class InputHandler {
    
public:
    InputHandler(Command* a, Command* b, Command* x, Command* y);
    void handleInput();
    
private:
    bool isButtonPressed(int theButtonID);
    
    Command* _buttonACommand;
    Command* _buttonBCommand;
    Command* _buttonXCommand;
    Command* _buttonYCommand;
};

#endif /* inputhandler_h */
